%define upstream_name    Pod-Weaver-Section-Consumes
%define upstream_version 0.007

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Add a list of roles to your POD
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Pod/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Module::Build)
BuildRequires: perl(Module::Load)
BuildRequires: perl(Moose)
BuildRequires: perl(Pod::Elemental::Element::Nested)
BuildRequires: perl(Pod::Elemental::Element::Pod5::Command)
BuildRequires: perl(Pod::Weaver::Role::Section)
BuildRequires: perl(aliased)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch: noarch

%description
This the Pod::Weaver manpage section plugin creates a "CONSUMES" section in
your POD which will contain a list of all the roles consumed by your class.
It accomplishes this by attempting to compile your class and interrogating
its metaclass object.

Classes which do not have a 'meta' method will be skipped.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc README LICENSE META.yml META.json
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.7.0-3.mga3
+ Revision: 372065
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu May 31 2012 shlomif <shlomif> 0.7.0-2.mga3
+ Revision: 252422
- License fix
- imported package perl-Pod-Weaver-Section-Consumes

